%% f_uAK
%
% Compute utility for an individual with counterfactual earninigs z who
% stays at the kink


function r_u = uAK(z,el,data)

    % find comsumption
    c = (1-data.t0).*data.zStar;
        
    % evlauate utility
    n = z ./(1-data.t0).^el;
    r_u = c - n./(1+1./el).*(data.zStar./n).^(1+1/el);

end
